%global rebasename rebasehelper
%global rebaseversion 0.3.0dev
%global gittag 20140624git
%global gitrelease 0.3.%{gittag}

Name:           rebase-helper
Version:        0.3.1
Release:        1%{?dist}
Summary:        The tool which helps you with rebase package

License:        GPLv2+
URL:            https://github.com/phracek/rebase-helper
Source0:        https://github.com/phracek/%{name}/archive/v%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pyliblzma
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  rpm-python

Requires:       mock, rpm-build, pkgdiff, curl
Requires:       rpm-python

%description
Rebase-Helper is a tool to help package maintainers to update
their packages to the latest upstream version.
It helps you to rebase existing patches on top of the new sources.
It also builds RPMs and performs various tests on them,
comparing to the previous version.

%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
#%{__python} setup.py test -t py.test

%files
%{_bindir}/%{name}
%doc LICENSE
%{python2_sitelib}/%{rebasename}
%{python2_sitelib}/%{rebasename}-%{rebaseversion}-py?.?.egg-info

%changelog
* Fri Jul 25 2014 Petr Hracek <phracek@redhat.com> - 0.3.1-1
- New upstream release
- Add --build-only option
- Catch Keyboard Interupted
- Add --continue option for rebases

* Tue Jul 08 2014 Tomas Hozza <thozza@redhat.com> - 0.3.0-0.4.20140624git
- Add requires on pkgdiff

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.3.20140624git
- Include LICENSE text file
- use __python2 macros

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.2.20140623git
- Removed shebang from __init__.py file

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.1.20140623git
- Initial version

